Python API: issue with installing pyorc_loader wheel

After getting a new work laptop I need to re-install the Celonis Python library, packages, etc. Following the instructions from https://help.celonis.de/display/CPM4/Requirements%2C+Installation%2C+Architecture I encounter some unclarities and issues, in this case with installing the pyorc_loader wheel.

Running
easy_install pyorcloader-0.0.1-cp36-none-win_amd64.whl
provides the following error:
Traceback (most recent call last):
File “C:\dev\Anaconda\Scripts\easy_install-script.py”, line 10, in
sys.exit(main())
File “C:\dev\Anaconda\lib\site-packages\setuptools\command\easy_install.py”, line 2316, in main
**kw
File “C:\dev\Anaconda\lib\site-packages\setuptools_init_.py”, line 143, in setup
return distutils.core.setup(**attrs)
File “C:\dev\Anaconda\lib\distutils\core.py”, line 148, in setup
dist.run_commands()
File “C:\dev\Anaconda\lib\distutils\dist.py”, line 966, in run_commands
self.run_command(cmd)
File “C:\dev\Anaconda\lib\distutils\dist.py”, line 985, in run_command
cmd_obj.run()
File “C:\dev\Anaconda\lib\site-packages\setuptools\command\easy_install.py”, line 418, in run
self.easy_install(spec, not self.no_deps)
File “C:\dev\Anaconda\lib\site-packages\setuptools\command\easy_install.py”, line 660, in easy_install
return self.install_item(None, spec, tmpdir, deps, True)
File “C:\dev\Anaconda\lib\site-packages\setuptools\command\easy_install.py”, line 705, in install_item
dists = self.install_eggs(spec, download, tmpdir)
File “C:\dev\Anaconda\lib\site-packages\setuptools\command\easy_install.py”, line 855, in install_eggs
return [self.install_wheel(dist_filename, tmpdir)]
File “C:\dev\Anaconda\lib\site-packages\setuptools\command\easy_install.py”, line 1054, in install_wheel
assert wheel.is_compatible()
AssertionError

Unpacking the .whl file manually and running
import os
os.environ[“JAVA_HOME”] = “C:\Program Files\Java\jre”
import pyorcloader as porc

provides
File “C:\dev\Celonis\Python\pyorcloader_init_.py”, line 39, in
raise ImportError(“Unable to load dependency from {}”.format(lib))

ImportError: Unable to load dependency from C:\dev\Celonis\Python\pyorcloader\orc-java-reader.dll

I got it to work somehow on my old laptop, but don’t seem to be able to repeat this feat :slight_smile: Any help is appreciated.

Edit 19-03-22 Joos: moved to machine learning section

Hello Joos,

this is related to Python API: installing celonis egg fails as the Package contains the needed Installer + manual for the Pyrocloader.

Keep me updated on the progress.

Best,
David

1 Like

Hi David,

I just tried running
pip install pyorcloader-0.0.1-cp36-none-win_amd64.whl

But got an error:
pyorcloader-0.0.1-cp36-none-win_amd64.whl is not a supported wheel on this platform.

Since I’m running Python 3.7.1 this might be the cause? Is there a cp3.7 available?

Hi Joos,

Since I’m running Python 3.7.1 this might be the cause?

Yes, Pyorcloader supports currently Python 3.5 or 3.6, you would need to downgrade your installation to get it running.

Is there a cp3.7 available?

Not yet, but we are working on providing it in the future.

Best,
David

1 Like

Thanks for your reply David!

We are currently experimenting with the Python API and the dataset seems to be small enough to be handled by the CSV fall-back :slight_smile:

Hi ,
I am facing issue while installing pyorcloader.

Error :
import pyorcloader
Traceback (most recent call last):
File “C:\Users\UserName\AppData\Local\Continuum\anaconda3\lib\site-packages\pyorcloader_init_.py”, line 36, in
ctypes.cdll.LoadLibrary(lib)
File “C:\Users\UserName\AppData\Local\Continuum\anaconda3\lib\ctypes_init_.py”, line 426, in LoadLibrary
return self.dlltype(name)
File "C:\Users\UserName\AppData\Local\Continuum\anaconda3\lib\ctypes_init
.py", line 348, in init
self._handle = _dlopen(self._name, mode)
OSError: [WinError 126] The specified module could not be found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “”, line 1, in
File “C:\Users\UserName\AppData\Local\Continuum\anaconda3\lib\site-packages\pyorcloader_init_.py”, line 39, in
raise ImportError(“Unable to load dependency from {}”.format(lib))
ImportError: Unable to load dependency from C:\Program Files (x86)\Java\jre8\bin\server\bin\server\jvm.dll

I corrected the jvm.dll from C:\Program Files (x86)\Java\jre8\bin\client creating folder for server and copied all files from client folder to server folder.(C:\Program Files (x86)\Java\jre8\bin\server) and set the System Variable path to JAVA_HOME = C:\Program Files (x86)\Java\jre8\bin\server

After running also still i am getting same error.
Please do needful to resolve the issue. Thanks in advance.

Regards,
Parimala N

Hello Parimala,

welcome to Celonis Community!

Are you using a Windows 32Bit version?
Unfortunately, the PyrocLoader is designed to work only on 64Bit.

Best,
David

Hello David,

I am using 64 Bit, Now issue is solved.
Thanks.

Regards,
Parimala

2 Likes